Task

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

List all task mentions

Thread messages that @-mention the requester, newest first, restricted to tasks they can see.

Required API key scopes

task:read

Query parameters

  • limit
    integer
    Default: 100
  • offset
    integer
  • since
    string

Response


Example request

GET /api/projects/:project_id/task_mentions
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/task_mentions/

Example response

Status 200 Mentions, newest first
RESPONSE
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"message_id": "d7d9d9fd-478f-40e6-b651-49b7f19878a2",
"task_id": "736fde4d-9029-4915-8189-01353d6982cb",
"task_title": "string",
"channel_id": "bbe8aa76-a4bb-46f6-a785-df8e831cc459",
"channel_name": "string",
"author": {
"id": 0,
"uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",
"distinct_id": "string",
"first_name": "string",
"last_name": "string",
"email": "string",
"is_email_verified": true,
"hedgehog_config": {},
"role_at_organization": "string"
},
"content": "string",
"created_at": "2019-08-24T14:15:22Z"
}
]
}

Community questions